%define majver %(echo %version | cut -d. -f1-2)

Name:          prison
Version:       5.46.0
Release:       1mamba
Summary:       KDE Frameworks 5 barcode library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/frameworks/%{majver}/prison-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdmtx-devel
BuildRequires: libgcc
BuildRequires: libqrencode-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 barcode library.

%package -n libkprison
Group:         System/Libraries
Summary:       KDE Frameworks 5 barcode library

%description -n libkprison
KDE Frameworks 5 barcode library.
This package contains shared libraries for %{name}.

%package -n libkprison-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libkprison = %{?epoch:%epoch:}%{version}-%{release}

%description -n libkprison-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libkprison
/sbin/ldconfig
exit 0

%postun -n libkprison
/sbin/ldconfig
exit 0

%files -n libkprison
%defattr(-,root,root)
%{_sysconfdir}/xdg/prison.categories
%{_kde5_libdir}/libKF5Prison.so.*
%doc LICENSE

%files -n libkprison-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/prison
%{_kde5_includedir}/prison/*
%{_kde5_includedir}/prison_version.h
%{_kde5_libdir}/libKF5Prison.so
%dir %{_kde5_libdir}/cmake/KF5Prison
%{_kde5_libdir}/cmake/KF5Prison/KF5Prison*.cmake
%{_libdir}/qt5/mkspecs/modules/qt_Prison.pri
%dir %{_libdir}/qt5/qml/org/kde/prison
%{_libdir}/qt5/qml/org/kde/prison/*

%changelog
* Tue May 15 2018 Automatic Build System <autodist@mambasoft.it> 5.46.0-1mamba
- automatic version update by autodist

* Tue Apr 17 2018 Automatic Build System <autodist@mambasoft.it> 5.45.0-1mamba
- automatic version update by autodist

* Sun Mar 18 2018 Automatic Build System <autodist@mambasoft.it> 5.44.0-1mamba
- automatic version update by autodist

* Tue Feb 27 2018 Automatic Build System <autodist@mambasoft.it> 5.43.0-1mamba
- automatic version update by autodist

* Thu Jan 18 2018 Automatic Build System <autodist@mambasoft.it> 5.42.0-1mamba
- automatic version update by autodist

* Sat Dec 23 2017 Automatic Build System <autodist@mambasoft.it> 5.41.0-1mamba
- automatic version update by autodist

* Tue Nov 14 2017 Automatic Build System <autodist@mambasoft.it> 5.40.0-1mamba
- automatic version update by autodist

* Sat Oct 21 2017 Automatic Build System <autodist@mambasoft.it> 5.39.0-1mamba
- automatic version update by autodist

* Mon Sep 11 2017 Automatic Build System <autodist@mambasoft.it> 5.38.0-1mamba
- automatic version update by autodist

* Fri Aug 18 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.37.0-1mamba
- update to 5.37.0

* Sun Aug 13 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.36.0-1mamba
- package created using the webbuild interface
